Name: perl-Tk
Version: 804.027
Release: 1%{?distro_release:.%{distro_release}}
Summary: A graphical user interface toolkit for Perl.
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~ni-s/Tk-%{version}/
Source0: http://search.cpan.org/CPAN/authors/id/N/NI/NI-S/Tk-%{version}.tar.gz
BuildRequires: perl, xorg-x11-devel, freetype-devel, tk-devel

#exclude dependencies to Tk::LabRadio and Tk::TextReindex
#Source999: filter-requires-perl-Tk.sh
#define _use_internal_dependency_generator 0
#define __find_requires %{SOURCE999}

BuildRequires: perl >= 2:5.7.0
BuildRoot: %{_tmppath}/%{name}-root

%description 
In writing the perl Tk extension, the goals were to provide a complete
interface to the latest production version of John Ousterhout's Tk,
while providing an Object Oriented interface to perl code.

%prep
%setup -q -n Tk-%{version}
find . -type f | xargs perl -pi -e 's|^#!/bin/perl|#!/usr/bin/perl|'
find . -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor XFT=1
find . -name Makefile | xargs perl -pi -e's/pod2man --center (.*) "--"/pod2man -- --center $1/'
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{perl_vendorlib}
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_prefix} \( -name perllocal.pod -or -name .packlist \) -exec %{__rm} -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/ptked
%{_bindir}/ptksh
%{_bindir}/widget
%{_bindir}/gedi
%{_bindir}/tkjpeg
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorarch}/Tk.pm
%{perl_vendorarch}/Tk
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/Tk.pod
%{perl_vendorarch}/Tie
%{perl_vendorarch}/fix_4_os2.pl

%changelog
* Wed Apr 20 2005 Aleksey Nogin <rpm@nogin.org>
- Made compatible with a more standard Fedora Core setup.

* Sun Jun  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 804.027.

* Sat Apr 10 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 804.026.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Complete rewrite with macro support.
- Built for Red Hat 9.

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- initial build (specfile autogenerated and hand edited).

